Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Interface EncodedAppenderFactory

    public interface EncodedAppenderFactory

This interface marks an instance capable of getting a EncodedAppender instance that is connected to it. For example a buffer provides it's EncodedAppender instance with this interface.

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`EncodedAppender` | `getEncodedAppender()` Gets the EncodedAppender that is connected to the instance of this implementation.

Method Detail

### getEncodedAppender

    public EncodedAppender getEncodedAppender()

  Gets the EncodedAppender that is connected to the instance of this implementation.
  Returns:
    the EncodedAppender

Groovy Documentation